Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xml.security.c14n.helper
Class C14nHelper

    java.lang.Object
      org.apache.xml.security.c14n.helper.C14nHelper

    public class C14nHelper

extends java.lang.Object

Temporary swapped static functions from the normalizer Section

Author:
  Christian Geuer-Pollmann

Method Summary
`static void` | `assertNotRelativeNS(org.w3c.dom.Attr attr)` This method throws an exception if the Attribute value contains a relative URI.
`static void` | `checkForRelativeNamespace(org.w3c.dom.Element ctxNode)` This method throws a CanonicalizationException if the supplied Element contains any relative namespaces.
`static void` | `checkTraversability(org.w3c.dom.Document document)` This method throws a CanonicalizationException if the supplied Document is not able to be traversed using a TreeWalker.
`static boolean` | `namespaceIsAbsolute(org.w3c.dom.Attr namespace)` Method namespaceIsAbsolute
`static boolean` | `namespaceIsAbsolute(java.lang.String namespaceValue)` Method namespaceIsAbsolute
`static boolean` | `namespaceIsRelative(org.w3c.dom.Attr namespace)` Method namespaceIsRelative
`static boolean` | `namespaceIsRelative(java.lang.String namespaceValue)` Method namespaceIsRelative

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### namespaceIsRelative

    public static boolean namespaceIsRelative(org.w3c.dom.Attr namespace)

  Method namespaceIsRelative

  Parameters:
    `namespace` -
  Returns:
    true if the given namespace is relative.

### namespaceIsRelative

    public static boolean namespaceIsRelative(java.lang.String namespaceValue)

  Method namespaceIsRelative

  Parameters:
    `namespaceValue` -
  Returns:
    true if the given namespace is relative.

### namespaceIsAbsolute

    public static boolean namespaceIsAbsolute(org.w3c.dom.Attr namespace)

  Method namespaceIsAbsolute

  Parameters:
    `namespace` -
  Returns:
    true if the given namespace is absolute.

### namespaceIsAbsolute

    public static boolean namespaceIsAbsolute(java.lang.String namespaceValue)

  Method namespaceIsAbsolute

  Parameters:
    `namespaceValue` -
  Returns:
    true if the given namespace is absolute.

### assertNotRelativeNS

    public static void assertNotRelativeNS(org.w3c.dom.Attr attr)
                                    throws CanonicalizationException

  This method throws an exception if the Attribute value contains a relative URI.

  Parameters:
    `attr` -
  Throws:
    `CanonicalizationException`

### checkTraversability

    public static void checkTraversability(org.w3c.dom.Document document)
                                    throws CanonicalizationException

  This method throws a CanonicalizationException if the supplied Document is not able to be traversed using a TreeWalker.

  Parameters:
    `document` -
  Throws:
    `CanonicalizationException`

### checkForRelativeNamespace

    public static void checkForRelativeNamespace(org.w3c.dom.Element ctxNode)
                                          throws CanonicalizationException

  This method throws a CanonicalizationException if the supplied Element contains any relative namespaces.

  Parameters:
    `ctxNode` -
  Throws:
    `CanonicalizationException`
  See Also:
    `assertNotRelativeNS(Attr)`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD